# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name        = 'mrpin-sdk'
  spec.version     = '1.0.84'
  spec.authors     = %w(Gregory Tkach Yakupov Dmitrij)
  spec.email       = %w(gregory.tkach@gmail.com yakupov.dmitrij@gmail.com)
  spec.description = %q{Mrpin sdk for backend development.}
  spec.summary     = "#{spec.description}. Summary."
  spec.license     = 'MIT'
  spec.homepage    = 'https://mr-pin.net'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(app lib)

  spec.add_development_dependency 'bundler', '~> 1'
  spec.add_development_dependency 'rake', '~> 12'

  spec.add_runtime_dependency 'aws-sdk', '~> 2'
  spec.add_runtime_dependency 'bootstrap-sass-rails', '~> 3'
  # uploader
  spec.add_runtime_dependency 'carrierwave-mongoid', '~> 0'
  # auth gem
  spec.add_runtime_dependency 'devise', '~> 4'
  spec.add_runtime_dependency 'cancancan', '~> 1'
  # websockets based on event machine
  spec.add_runtime_dependency 'em-websocket', '~> 0'
  spec.add_runtime_dependency 'eventmachine', '~> 1'
  spec.add_runtime_dependency 'faraday', '~> 0'
  spec.add_runtime_dependency 'faraday_middleware', '~> 0'
  spec.add_runtime_dependency 'mongoid', '~> 6'
  spec.add_runtime_dependency 'mrpin-amf', '~> 2'
  spec.add_runtime_dependency 'openssl', '~> 2'
  spec.add_runtime_dependency 'rails', '~> 5'
  spec.add_runtime_dependency 'rails_admin', '~> 1.1'
  spec.add_runtime_dependency 'rufus-scheduler', '~> 3'
  # JavaScript compressor
  spec.add_runtime_dependency 'turbolinks', '~> 5'
  spec.add_runtime_dependency 'uglifier', '~> 3'
  spec.add_runtime_dependency 'unicode', '~> 0'
  spec.add_runtime_dependency 'uuid', '~> 2'

  #with c ext
  # improve bson deserialization
  spec.add_runtime_dependency 'bson_ext', '~> 1'
  # system info cpu, memory etc
  spec.add_runtime_dependency 'vmstat', '~> 2'
end
